Skip to content

Delete a custom field in user's profile

User

Returns a Json User

DELETE
/user/{id}/profile_field/{field}

Parameters

Path Parameters

id*

The id of the user

Type
integer
Required
Format
"int32"
field*

The name of the field that will be deleted

Type
string
Required
Format
"string"

Responses

Successful response

application/json
JSON
{
  
"result": {
  
  
"userid": 0,
  
  
"email": "user@insided.com",
  
  
"username": "user",
  
  
"rank": "string",
  
  
"joindate": "2019-07-16T14:59:00+02:00",
  
  
"profileFields": [
  
  
  
{
  
  
  
  
"NormalizedValue": "string",
  
  
  
  
"name": "string"
  
  
  
}
  
  
],
  
  
"roles": [
  
  
  
{
  
  
  
  
"auth_item": {
  
  
  
  
}
  
  
  
}
  
  
],
  
  
"user_statistics": {
  
  
  
"additionalProperties": [
  
  
  
  
"string"
  
  
  
]
  
  
},
  
  
"sso": {
  
  
  
"additionalProperties": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
}
}

Samples

Gainsight CC Developer Portal